Subject: CCL: summary hbonds charmm (thanks)

From: Santiago Cuesta <[email-masked]>
Date: Thu, 16 May 2002 12:32:16 +0200

Hi !!

I want to thank Dr Richard L. Wood and Mr Rick Venable their help.
Thanks very much for solving my problem !! .

Thanks also to CCL !

Yours sincerely

Santiago

Now the summary:
----------------------------------------------
how to calculate time series with charmm (academic version)
dihedrals and hbonds???:
---------------------------------------------------------

On Wed, 15 May 2002, Santiago Cuesta wrote:

> I'm trying to calculate hbonds time correlation series from  MD 
trayectories 
> with the academic version of charmm.
> 
> After reading correctly trayectories, I've used:
> 
>  correl maxseries 12 maxtimesteps 50000 maxatom 80 -
>   eps 1.0  cutnb @4 ctofnb @6 ctonnb @5 vswi -
>   ewald pmewald kappa @kap fftx 32 ffty 32 fftz 32 order @ord -
>   @7 @8 @9 -
>   inbf 1 ihbf 1 imgf 1 
> 
>  enter phi1 dihe prot 24 C prot 25 N  prot 25 CA  prot 25 C geometry
>  enter psi1 dihe prot 25 N prot 25 CA  prot 25 C  prot 26 N geometry
>  enter phi2 dihe prot 28 C  prot 29 N  prot 29 CA  prot 29 C geometry
>  enter psi2 dihe prot 29 N  prot 29 CA  prot 29 C  prot 30 N geometry
> 
>  enter phi1 time
>  enter psi1 time
>  enter phi2 time
>  enter psi2 time
> 
> ! (HBONDS)
> 
>  enter hbn1 hbond  prot 31 N  prot 16 OE2  DIST
> ! or ( enter hbn1 hbond prot 31 N prot 31 HN prot 16 OE2  DIST 
>  enter hbn1 time
>  
> 
> BUT I obtain this error:
> 
> 
> <HCODES>: No hydrogen bond parameters for     1 ( NH1  OH1 )
> 

------------------------------------

ANSWERS:
------------

> From Dr Richard L. Wood:

***************
Hi Santiago

You need to read in h-bond parameters from a file, something like this:

OPEN READ CARD UNIT 3 NAME "par_hbond.inp"
READ PARAM APPEND CARD UNIT 3
CLOSE UNIT 3

where par_hbond.inp is a file that has the parameters for hydrogen bonds.

You will also need to make sure that your residue topology file has all the
correct donors
and acceptor atoms defined.

Hope this helps...

Richard

****************

> From Rick Venable:
---------------------

For the academic parameters, the H-bond parameters are in a separate
file, largely because they are unused except for analysis.  Add the
following after reading your parameter file:

open read unit 2 card name @PATH/par_hbond.inp
read param unit 2 append
close unit 2

where @PATH is the full or relative pathname to the appropriate 'toppar'
subdir.

************************************

-------------------------------------
Santiago Cuesta
Predoctoral student
Dep. Física de la Materia Condensada.
Universidad de Zaragoza. (Spain)

> >
> > -= This is automatically added to each message by mailing script =-
> > [email-masked] -- To Everybody  | [email-masked] -- To
> > Admins [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> > [email-masked] -- archive search    |    Gopher: gopher.ccl.net
> > 70 Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
> > [email-masked]